PINECONE_API_KEY="YOUR_API_KEY"
BACKUP_ID="9947520e-d5a1-4418-a78d-9f464c9969da"
curl -X DELETE "https://api.pinecone.io/backups/$BACKUP_ID" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2026-07"
"Invalid API key"{
"error": {
"code": "PERMISSION_DENIED",
"message": "Access denied: Permission control::backups::list is required"
},
"status": 403
}{
"error": {
"code": "NOT_FOUND",
"message": "Backup bkp_123abc not found."
},
"status": 404
}{
"error": {
"code": "UNKNOWN",
"message": "Internal server error"
},
"status": 500
}Backups
Delete a backup
Delete a backup.
DELETE
/
backups
/
{backup_id}
PINECONE_API_KEY="YOUR_API_KEY"
BACKUP_ID="9947520e-d5a1-4418-a78d-9f464c9969da"
curl -X DELETE "https://api.pinecone.io/backups/$BACKUP_ID" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2026-07"
"Invalid API key"{
"error": {
"code": "PERMISSION_DENIED",
"message": "Access denied: Permission control::backups::list is required"
},
"status": 403
}{
"error": {
"code": "NOT_FOUND",
"message": "Backup bkp_123abc not found."
},
"status": 404
}{
"error": {
"code": "UNKNOWN",
"message": "Internal server error"
},
"status": 500
}PINECONE_API_KEY="YOUR_API_KEY"
BACKUP_ID="9947520e-d5a1-4418-a78d-9f464c9969da"
curl -X DELETE "https://api.pinecone.io/backups/$BACKUP_ID" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2026-07"
Authorizations
Headers
Required date-based version header
Path Parameters
The ID of the backup to delete.
Response
The request to delete the backup has been accepted.
Was this page helpful?